# Get Ads

> Source: https://truto.one/docs/api-reference/unified-ads-management-api/ads/get/

`GET /unified/ads/ads/{id}`

Resource: **Ads** · API: **Unified Ads Management API**

## Supported integrations

Meta Marketing API

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Response body

- **`id`** _(string, required)_
  The unique identifier for the ad.
- **`name`** _(string)_
  The name of the ad.
- **`type`** _(string)_
  The type of the ad
- **`status`** _(string)_
  The status of the ad.
  Allowed: `active`, `paused`, `deleted`, `archived`, `in_process`, `with_issues`, `campaign_paused`, `pending_review`, `disapproved`, `preapproved`, `pending_billing_info`, `adset_paused`
- **`account_id`** _(string)_
  The unique identifier for the account.
- **`ad_group_id`** _(string)_
  The unique identifier for the ad_group.
- **`campaign_id`** _(string)_
  The unique identifier for the campaign.
- **`labels`** _(array<object>)_
  The labels for the ad.
  - **`id`** _(string)_
    The unique identifier for the label.
  - **`name`** _(string)_
    The name of the label.
- **`schedule`** _(object)_
  The schedule for the ad.
  - **`end_time`** _(string)_
    The end time for the ad.
  - **`start_time`** _(string)_
    The start time for the ad.
- **`bid`** _(object)_
  The bid for the ad.
  - **`adjustments`** _(object)_
    The bid adjustments for the ad.
  - **`amount`** _(string)_
    The bid amount for the ad.
  - **`constraints`** _(object)_
    The bid constraints for the ad.
  - **`objective_values`** _(object)_
    The bid values for different objectives of the ad.
  - **`strategy`** _(object)_
    The bid strategy for the ad.
    - **`id`** _(string)_
      The unique identifier for the bid strategy.
    - **`name`** _(string)_
      The name of the bid strategy.
- **`conversion_domain`** _(string)_
  The conversion domain for the ad.
- **`creative`** _(object)_
  The creative for the ad.
- **`creative_id`** _(array<string>)_
  The unique identifier for the creative.
- **`issues`** _(array<object>)_
  The issues for the ad that prevented the ad from being delivered.
  - **`code`** _(string)_
    The code for the issue.
  - **`message`** _(string)_
    The error message for the issue.
  - **`description`** _(string)_
    The error summary for the issue.
  - **`level`** _(string)_
    The level for the issue.
  - **`type`** _(string)_
    The type for the issue.
- **`preview_url`** _(array<object>)_
  The preview URL for the ad.
  - **`url`** _(string)_
    The URL for the preview.
  - **`type`** _(string)_
    The type for the preview.
- **`tracking_specs`** _(array<object>)_
  The tracking specs for the ad.
- **`created_at`** _(string)_
  The date and time the ad was created.
- **`updated_at`** _(string)_
  The date and time the ad was last updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/ads/ads/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ads/ads/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ads/ads/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ads',
  'ads',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ads",
        "ads",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
